Subject: [core] Fwd: New Version Notification for draft-ietf-core-link-format-01

From: Zach Shelby <[email-masked]>
Date: Mon, 25 Oct 2010 18:05:13 +0300

http://www.ietf.org/id/draft-ietf-core-link-format-01.txt

I updated the link-format draft with the detailed feedback and contribs from Peter on the list. The changes don't really change the functionality of an implementation of -00, however please do notice the multicast issue in Section 3.1 if filtering is not supported (thanks to Guido for pointing that out).

Here is a summary of the changes:

   Changes from ietf-00 to ietf-01:

      o Editorial changes to correct references.

      o Formal definition for filter query string.

      o Removed URI-reference option from "n" and "id".

      o Added security text about multicast requests.

Zach

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: October 25, 2010 5:55:57 PM GMT+03:00
> To: [email-masked]
> Subject: New Version Notification for draft-ietf-core-link-format-01 
> 
> 
> A new version of I-D, draft-ietf-core-link-format-01.txt has been successfully submitted by Zach Shelby and posted to the IETF repository.
> 
> Filename:	 draft-ietf-core-link-format
> Revision:	 01
> Title:		 CoRE Link Format
> Creation_date:	 2010-10-25
> WG ID:		 core
> Number_of_pages: 11
> 
> Abstract:
> This document defines a link format for use by constrained CoAP web
> servers to describe URIs of resources offered along with other
> attributes.  Based on the HTTP Link Header format, the CoRE link
> format is carried as a payload and is assigned an Internet media
> type.  A well-known URI is defined as a default entry-point for
> requesting the list of links to resources hosted by a server.
> 
> 
> 
> The IETF Secretariat.
> 
> 

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://zachshelby.org  - My blog "On the Internet of Things"
http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
Mobile: +358 40 7796297